View Issue Details

IDProjectCategoryView StatusLast Update
0023071FPCCompilerpublic2019-07-19 17:57
ReporterJC ChuAssigned ToSven Barth 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSWindows NTOS Version6.2.9200
Product Version2.7.1Product Build 
Target VersionFixed in Version3.3.1 
Summary0023071: PPUs produced by units containing generics with methods having procedure-local types crash the compiler on second compilation
DescriptionSame as summary; see attached file for a demo.
Tagsgenerics
Fixed in Revision42459
FPCOldBugId
FPCTarget-
Attached Files

Activities

2012-10-06 16:12

 

D23071.zip (439 bytes)

Sven Barth

2019-07-19 17:57

manager   ~0117322

Please test and close if okay

Issue History

Date Modified Username Field Change
2012-10-06 16:12 JC Chu New Issue
2012-10-06 16:12 JC Chu File Added: D23071.zip
2012-10-06 16:13 JC Chu Tag Attached: generics
2012-10-07 15:55 Sven Barth Status new => confirmed
2019-07-19 17:57 Sven Barth Assigned To => Sven Barth
2019-07-19 17:57 Sven Barth Status confirmed => resolved
2019-07-19 17:57 Sven Barth Resolution open => fixed
2019-07-19 17:57 Sven Barth Fixed in Version => 3.3.1
2019-07-19 17:57 Sven Barth Fixed in Revision => 42459
2019-07-19 17:57 Sven Barth FPCTarget => -
2019-07-19 17:57 Sven Barth Note Added: 0117322